%define mainrel 1
%define date    20160902
%define rel 5
%global _legacy_common_support 1

Name:           xqf
Version:        1.0.6.2
Release:        %mkrel %{mainrel}.%{date}.%{rel}
Summary:        Graphical server browser and launcher for popular FPS games
Group:          Games/Shooter
License:        GPLv2+
URL:            https://xqf.github.io
# Snapshot from https://github.com/XQF/xqf
Source0:        %{name}-%{version}+%{date}.tar.xz

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  pkgconfig(geoip)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(minizip)
Requires:       qstat

%description
XQF is a server browser and launcher for games using id Tech engines, Unreal
engines and many others (see https://github.com/XQF/xqf/wiki/Supported-games
for details). XQF is a front-end to QStat and uses the GTK+ 2 toolkit.

%prep
%autosetup -p1 -n %{name}-%{version}+%{date}

%build
%cmake -DWITH_QSTAT=qstat-quake
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*


%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.0.6.2-1.20160902.5.mga9
+ Revision: 1828333
- Mageia 9 Mass Rebuild

* Thu Aug 20 2020 joequant <joequant> 1.0.6.2-1.20160902.4.mga8
+ Revision: 1616973
- build gcc10

* Fri Feb 14 2020 umeabot <umeabot> 1.0.6.2-1.20160902.3.mga8
+ Revision: 1520851
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Dec 11 2018 daviddavid <daviddavid> 1.0.6.2-1.20160902.2.mga7
+ Revision: 1340153
- Mageia 7 Mass Rebuild

* Sun Mar 12 2017 akien <akien> 1.0.6.2-1.20160902.1.mga7
+ Revision: 1092199
- imported package xqf

